#! @BASH@
echo 1..2 # Number of tests to be executed.
#
test -n "$CDO"      || CDO="@abs_top_builddir@/src/cdo $CDO_DEBUG"
test -n "$DATAPATH" || DATAPATH="@abs_top_srcdir@/test/data/"
#
FORMAT="-f srv -b 32"
ABSLIMMAX=0.001
#
IFILE=$DATAPATH/ts_6h_1mon
NTEST=1
#
#
function testfunc()
{
    if [ -z "$1" ] || [ $NTEST == $1 ]; then
        RSTAT=0

        CDOTEST=`echo $OPERATOR | cut -d"," -f 1`
        echo "Running test: $NTEST - $CDOTEST"

        RFILE=$DATAPATH/inttime_ref
        OFILE=inttime_res

        CDOCOMMAND="$CDO $FORMAT $OPERATOR $IFILE $OFILE"

        echo "$CDOCOMMAND"

        $CDOCOMMAND
        test $? -eq 0 || (( RSTAT+=1 ))

        #  $CDO  diff,abslim=$ABSLIMMAX $RFILE $OFILE
        $CDO  diff $RFILE $OFILE
        test $? -eq 0 || (( RSTAT+=1 ))

        rm -f $OFILE

        test $RSTAT -eq 0 && echo "ok $NTEST - $CDOTEST"
        test $RSTAT -eq 0 || echo "not ok $NTEST - $CDOTEST"
    fi

    (( NTEST+=1 ))
}
#
declare -a STATS
STATS=("intntime" "inttime")
declare -a ARGS
ARGS=("3" "1991-01-01,0,2hour")
#
OPERATOR="${STATS[0]},${ARGS[0]}"
testfunc
#
OPERATOR="${STATS[1]},${ARGS[1]}"
testfunc
#
exit 0
